Show / Hide Table of Contents

# Struct DNCGauge

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Dalamud.Game.ClientState.Structs.JobGauge

###### Assembly: Dalamud.dll

##### Syntax

    public struct DNCGauge

### Fields

| Improve this Doc View Source

#### Esprit

##### Declaration

    public byte Esprit

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NumCompleteSteps

##### Declaration

    public byte NumCompleteSteps

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### NumFeathers

##### Declaration

    public byte NumFeathers

##### Field Value

Type | Description
--- | ---
System.Byte |

### Methods

| Improve this Doc View Source

#### IsDancing()

##### Declaration

    public bool IsDancing()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NextStep()

##### Declaration

    public ulong NextStep()

##### Returns

Type | Description
--- | ---
System.UInt64 |